OpenNMS API 1.2.9

## org.opennms.netmgt.threshd
Class ThresholderUpdates

    java.lang.Object
      org.opennms.netmgt.threshd.ThresholderUpdates

final class ThresholderUpdates
extends java.lang.Object

The ThresholderUpdates class encapsulates changes to a SnmpThresholder which is actively being threshold checked by the threshd scheduler. When associated with a SnmpThresholder object the updates represented by the class are to be applied to the SnmpThresholder AFTER being popped from the interval queues for scheduling but BEFORE the next collection takes place. This is necessary because it isn't possible to make modifications to the SnmpThresholder objects at the time that a particular event is received by the BroadcastEventProcessor class...the interface may in fact be in the process of being checked. So we make "note" of the updates using this class and wait for the thresholder object to be popped from the interval queues before the updates are actually applied. The only "updates" currently handled by this class are new/modified attributes, a flag indicating that the service has been marked for deletion, a flag indicating the service has been marked for reparenting, a flag indicating the service has been marked for reinitialization, and finally a flag indicating that the SNMP service on the interface has a new status.

Field Summary
`private boolean` `m_deletionFlag` Set to true if the interface has been marked for deletion and should no longer be threshold checked or rescheduled.
`private boolean` `m_hasUpdates` Indicates if there are any updates to be processed
`private java.util.Map` `m_properties` Holds new/modified network interface attributes
`private boolean` `m_reinitFlag` Set to true if the interface has been marked for re-initialization.
`private boolean` `m_reparentFlag` Set to true if the interface has been marked for reparenting.
`private java.lang.String` `m_reparentNewNodeId` New nodeId for reparenting
`private java.lang.String` `m_reparentOldNodeId` Old nodeId for reparenting

Constructor Summary
`(package private)` `ThresholderUpdates()` Constructor.

Method Summary
`(package private) java.lang.Object` `getAttribute(java.lang.String property)` Retrieve the attribute with the specfied key.
`(package private) java.lang.String` `getReparentNewNodeId()`
`(package private) java.lang.String` `getReparentOldNodeId()`
`(package private) boolean` `hasUpdates()` Returns state of the hasUpdates flag
`(package private) boolean` `isDeletionFlagSet()` Returns the state of the deletion flag.
`(package private) boolean` `isReinitializationFlagSet()` Returns the state of the reinit flag.
`(package private) boolean` `isReparentingFlagSet()` Returns the state of the reparent flag.
`(package private) void` `markForDeletion()` Set the deletion flag.
`(package private) void` `markForReinitialization()` Set the reinit flag.
`(package private) void` `markForReparenting(java.lang.String oldNodeId, java.lang.String newNodeId)` Set the reparent flag.
`(package private) void` `reset()`
`(package private) void` `setAttribute(java.lang.String property, java.lang.Object value)` Set an attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_hasUpdates

    private boolean m_hasUpdates

  Indicates if there are any updates to be processed

### m_properties

    private java.util.Map m_properties

  Holds new/modified network interface attributes

### m_deletionFlag

    private boolean m_deletionFlag

  Set to true if the interface has been marked for deletion and should no longer be threshold checked or rescheduled.

### m_reinitFlag

    private boolean m_reinitFlag

  Set to true if the interface has been marked for re-initialization.

### m_reparentFlag

    private boolean m_reparentFlag

  Set to true if the interface has been marked for reparenting.

### m_reparentOldNodeId

    private java.lang.String m_reparentOldNodeId

  Old nodeId for reparenting

### m_reparentNewNodeId

    private java.lang.String m_reparentNewNodeId

  New nodeId for reparenting

Constructor Detail

### ThresholderUpdates

    ThresholderUpdates()

  Constructor.

Method Detail

### reset

    void reset()

### setAttribute

    void setAttribute(java.lang.String property,
                      java.lang.Object value)

  Set an attribute.

### getAttribute

    java.lang.Object getAttribute(java.lang.String property)

  Retrieve the attribute with the specfied key.

### markForDeletion

    void markForDeletion()

  Set the deletion flag.

### markForReinitialization

    void markForReinitialization()

  Set the reinit flag.

### markForReparenting

    void markForReparenting(java.lang.String oldNodeId,
                            java.lang.String newNodeId)

  Set the reparent flag.

### getReparentOldNodeId

    java.lang.String getReparentOldNodeId()

### getReparentNewNodeId

    java.lang.String getReparentNewNodeId()

### hasUpdates

    boolean hasUpdates()

  Returns state of the hasUpdates flag

### isDeletionFlagSet

    boolean isDeletionFlagSet()

  Returns the state of the deletion flag.

### isReinitializationFlagSet

    boolean isReinitializationFlagSet()

  Returns the state of the reinit flag.

### isReparentingFlagSet

    boolean isReparentingFlagSet()

  Returns the state of the reparent flag.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.